## Class Auth_OpenID_SRegBase

Description

A base class for classes dealing with Simple Registration protocol messages.

Located in /Auth/OpenID/SReg.php (line 109)

    Auth_OpenID_Extension
       |
       --Auth_OpenID_SRegBase

Direct descendents

Class | Description
--- | ---
Auth_OpenID_SRegRequest | An object to hold the state of a simple registration request.
Auth_OpenID_SRegResponse | Represents the data returned in a simple registration response inside of an OpenID C{id_res} response. This object will be created by the OpenID server, added to the C{id_res} response object, and then extracted from the C{id_res} message by the Consumer.

Variables

#### Inherited Variables

Inherited from Auth_OpenID_Extension

> Auth_OpenID_Extension::$ns_alias
> Auth_OpenID_Extension::$ns_uri

Methods

#### Inherited Methods

Inherited From Auth_OpenID_Extension

> Auth_OpenID_Extension::getExtensionArgs()
> Auth_OpenID_Extension::toMessage()

Documentation generated on Tue, 21 Apr 2009 11:31:33 -0700 by phpDocumentor 1.3.2